Skip to content

Remove approvers from mandate

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Remove one or more approvers from a mandate by providing their IDs

Security
oauth2ClientCredentials(Required scopes: roles:write)
Path
mandate_idstringrequired
Headers
business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
approversArray of stringsrequired

Array of approver IDs to be removed from the mandate

Example:
[ "691af15e2c7cead4901adfd2", "692af15e2c7cead4901adfd3" ]
curl -i -X DELETE \
  'https://developer.boyahq.com/_mock/v2/openapi/permissions/mandates/{mandate_id}/approvers' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -d '{
    "approvers": [
      "691af15e2c7cead4901adfd2",
      "692af15e2c7cead4901adfd3"
    ]
  }'

Responses

Approvers removed from mandate successfully